Imports System.Web.SessionState

Public Class Global_asax
    Inherits System.Web.HttpApplication

    Sub Application_Start(ByVal sender As Object, ByVal e As EventArgs)
        ' Fires when the application is started
    End Sub

    Sub Session_Start(ByVal sender As Object, ByVal e As EventArgs)
        ' Fires when the session is started
        System.Web.HttpContext.Current.Session(“Index1Sort”) = "IndexD"
        System.Web.HttpContext.Current.Session(“Index2Sort”) = "IndexD"
        System.Web.HttpContext.Current.Session(“Index3Sort”) = "IndexD"

        System.Web.HttpContext.Current.Session(“ProcessSort”) = "ProcessA"

        System.Web.HttpContext.Current.Session(“Location1Sort”) = "LocationA"
        System.Web.HttpContext.Current.Session(“Location2Sort”) = "LocationA"
        System.Web.HttpContext.Current.Session(“Location3Sort”) = "LocationA"
        System.Web.HttpContext.Current.Session(“Location4Sort”) = "LocationA"
        System.Web.HttpContext.Current.Session(“Location5Sort”) = "LocationA"

        System.Web.HttpContext.Current.Session(“Team1Sort”) = "TeamA"
        System.Web.HttpContext.Current.Session(“Team2Sort”) = "TeamA"
        System.Web.HttpContext.Current.Session(“Team3Sort”) = "TeamA"
        System.Web.HttpContext.Current.Session(“Team4Sort”) = "TeamA"
        System.Web.HttpContext.Current.Session(“Team5Sort”) = "TeamA"

        System.Web.HttpContext.Current.Session(“LastName1Sort”) = "LastNameA"
        System.Web.HttpContext.Current.Session(“LastName2Sort”) = "LastNameA"
        System.Web.HttpContext.Current.Session(“LastName3Sort”) = "LastNameA"
        System.Web.HttpContext.Current.Session(“LastName4Sort”) = "LastNameA"

        System.Web.HttpContext.Current.Session(“LastFour1Sort”) = "LastFourA"
        System.Web.HttpContext.Current.Session(“LastFour2Sort”) = "LastFourA"
    End Sub

    Sub Application_BeginRequest(ByVal sender As Object, ByVal e As EventArgs)
        ' Fires at the beginning of each request
    End Sub

    Sub Application_AuthenticateRequest(ByVal sender As Object, ByVal e As EventArgs)
        ' Fires upon attempting to authenticate the use
    End Sub

    Sub Application_Error(ByVal sender As Object, ByVal e As EventArgs)
        ' Fires when an error occurs
    End Sub

    Sub Session_End(ByVal sender As Object, ByVal e As EventArgs)
        ' Fires when the session ends
    End Sub

    Sub Application_End(ByVal sender As Object, ByVal e As EventArgs)
        ' Fires when the application ends
    End Sub

End Class